Bug 1255252 - Remove of Cinder provider will cause VMs which have Cinder disks to be deleted.
Remove of Cinder provider will cause VMs which have Cinder disks to be deleted.
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Maor
Ori Gofen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 02:43 EDT by Maor
Modified: 2016-05-25 21:51 EDT (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:40:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
engine log (1.89 MB, text/plain)
2015-08-20 02:43 EDT, Maor
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45214 master MERGED core: Add validation on provider remove. Never
oVirt gerrit 45229 ovirt-engine-3.6 MERGED core: Add validation on provider remove. Never

  None (edit)
Description Maor 2015-08-20 02:43:56 EDT
Created attachment 1065120 [details]
engine log

Description of problem:
When trying to remove the Cinder provider from the providers main tab, there is no validation if there are VMs or Templates which use the Cinder disks.
The deletion of the Cinder provider will cause running VMs to be deleted from the engine.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Add a Cinder provider
2. Add a VM + create and attach Cinder disk
3. Run the VM
4. Go to the providers main tab and try to delete the provider


Actual results:
The provider will be deleted and the VM will also be deleted.

Expected results:
a CDA message should block this operation

Additional info:
It should be the same behaviour being done as being done today through Storage Domain main tab.
until OVF_STORE disk will be introduced with Cinder we should block the detach operation entirely if there are any disks reside on the Cinder Storage Domain
Comment 1 Ori Gofen 2015-10-19 08:23:49 EDT
The operation of removing cinder domain with entities is blocked
Comment 2 Sandro Bonazzola 2015-11-04 06:40:44 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.